
(setq load-root-dir  "c:/Programme/GNU/")


(let ((dir-list  '("cedet" "cedet/ede" "eieio" "speedbar"))
	(cedet-root  (concat
			(directory-file-name (expand-file-name "installation/cedet-install/cedet/lisp" 
							       load-root-dir))
			"/")))
    (dolist (v dir-list)
      (let ((found (let ((ld load-path)
			 (re  (concat (regexp-quote v) "/?\\'")))
		     (while (and ld (null  (string-match re (car ld))))
		       (setq ld (cdr ld)))
		     ld)))
	(when found
	  (setcar found (concat cedet-root v))))))

(provide 'load-path-to-cedet-svn)


